<template>
  <v-dialog v-model="isDialog" width="330" persistent>
    <v-card>
      <v-card-title>
        <span>{{ resultMessage }}</span>
      </v-card-title>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="red" text @click="replace()"> ย้อนกลับ </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: {
    isDialog: Boolean,
    isError: Boolean,
  },
  computed: {
    resultMessage() {
      if (!this.isError) {
        return "ดำเนินการสำเร็จ";
      } else {
        return "ไม่สามารถดำเนินการในขณะนี้ ขออภัยในความไม่สะดวก";
      }
    },
  },
  methods: {
    replace() {
      this.$store.dispatch("repair/clearState");
      location.reload()
    },
  },
};
</script>

<style>
</style>